MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0027176Open CASCADE[OCCT] OCCT:Configurationpublic2016-02-18 10:502016-04-20 15:50
Reporteribs 
Assigned Toabv 
PrioritynormalSeverityfeature 
StatusclosedResolutionfixed 
PlatformAOSLOS VersionL
Product Version 
Target Version[OCCT] 7.0.0Fixed in Version[OCCT] 7.0.0 
Summary0027176: Configuration, CMake - INSTALL_DIR is a common prefix for all other install variables
Description1: INSTALL_DIR is synonym of CMAKE_INSTALL_PREFIX . User can specify both INSTALL_DIR or CMAKE_INSTALL_PREFIX. This functionality has been implemented and integrated already but the documentation is required to be updated.

2 (main): All the install components (executables, libraries, share data, samples and e.t.c.) should have one ancestor which is defined by INSTALL_DIR or CMAKE_INSTALL_PREFIX and each install component is specified with relative path.

For example:

INSTALL_DIR = d:/tmp/occt-install
INSTALL_BIN_DIR = /win64/vc10/bin
INSTALL_SHARE_DIR =
INSTALL_RESOURCES_DIR = /src
Steps To ReproduceTry to configure OCCT via CMake, set INSTALL_DIR variable and check that other INSTALL_* variables should contain relative paths.
TagsNo tags attached.
Test case number
Attached Files

- Relationships
related to 0026944closedbugmaster CMake remarks 
related to 0027355closedabv Configuration, CMake: install path on Windows is incorrectly processed 
child of 0027165closedbugmaster Configuration, CMake - add an option to choose a variant of the theme of the install paths 

-  Notes
(0051326)
git (administrator)
2016-03-02 17:10

Branch CR27176 has been created by ski.

SHA-1: 94faa46f25db81392d72d9cc09ae743bfa49f6c2


Detailed log of new commits:

Author: ski
Date: Wed Mar 2 16:44:28 2016 +0300

    0027176: Configuration, CMake - INSTALL_DIR is a common prefix for all other install variables
    
    Description of INSTALL_DIR variable in documentation was updated.
    Relative paths are used now in all the install components (executables, libraries, share data, samples and e.t.c.)
(0051347)
git (administrator)
2016-03-03 12:25

Branch CR27176 has been updated forcibly by ski.

SHA-1: f0fcd66110b544101f65d3f7a8794826dcdeeda8
(0051348)
git (administrator)
2016-03-03 12:31

Branch CR27176 has been updated forcibly by ski.

SHA-1: c5cd6298c76f6021f900983b1503f99ae46d0631
(0051351)
git (administrator)
2016-03-03 13:06

Branch CR27176 has been updated forcibly by ski.

SHA-1: 9d43826040a528494244715374fcecb0ba4c51a3
(0051354)
git (administrator)
2016-03-03 13:16

Branch CR27176 has been updated forcibly by ski.

SHA-1: 9763082165ecf3557466f6a611ef0c30225c746c
(0051368)
git (administrator)
2016-03-03 13:49

Branch CR27176 has been updated forcibly by ski.

SHA-1: 7e54f815d9d2b687b29c94677bfebda9def25d36
(0051371)
git (administrator)
2016-03-03 14:45

Branch CR27176 has been updated forcibly by ski.

SHA-1: a2ebe71dcba541a5fb9b82358bc18ca8568e389f
(0051374)
ski (developer)
2016-03-03 15:51

OCCT branch CR27176 and PRODUCTS branch CR27176 were created.

Only INSTALL_DIR variable contains absolute path now during configuration in CMake. Other INSTALL_* variables contain relative paths.

Please, review.
(0051375)
ibs (developer)
2016-03-03 15:53

the patch has been reviewed without any remark
(0051447)
abv (manager)
2016-03-09 09:53

Please change names of INSTALL variables so that they all have common prefix "INSTALL_DIR", like this:

INSTALL_INCLUDE_DIR -> INSTALL_DIR_INCLUDE

This will show all these vars together in the listing (e.g. in CMake-GUI), thus improve convenience
(0051513)
git (administrator)
2016-03-10 14:56

Branch CR27176_1 has been created by ski.

SHA-1: 3f3f1d850dd141e5eaa14ac2dcd7441e0e4f24bd


Detailed log of new commits:

Author: ski
Date: Thu Mar 10 14:32:04 2016 +0300

    0027176: Configuration, CMake - INSTALL_DIR is a common prefix for all other install variables
    
    Description of INSTALL_DIR variable in documentation was updated.
    Relative paths are used now in all the install components (executables, libraries, share data, samples and e.t.c.)
    Variables INSTALL_*_DIR were renamed to INSTALL_DIR_* to correctly group them in CMake gui during configuration.

Author: ski
Date: Thu Mar 10 14:43:42 2016 +0300

    0027165: Configuration, CMake - add an option to choose a variant of the theme of the install paths
    
    INSTALL_THEME variable introduced
    *. environment scripts use 0CCT_BIN_PATH, OCCT_LIB_PATH, OCCT_RESOURCE_PATH now
    *. OCCT_SHARE_PATH & OCCT_RESOURCE_PATH are used by the OCCT sources and test cases instead CASROOT (CASROOT left to support compatibility but their priority is lower than OCCT_SHARE_PATH & OCCT_RESOURCE_PATH)
    *. DRAWEXE project uses OCCT_RESOURCE_PATH and OCCT_SHARE_PATH instead CASROOT during debugging
    *. OCCT_TEST_RESULT_PATH variable introduced to specify a location of "results" folder of the automated test system
    *. OCCT samples use OCCT_INCLUDE_PATH variable now
    *. env.build.sh/bat.in files unified; CASROOT specification moved to "custom" file
    *. the location of test results folder unbound from OCCT_TEST_RESULT_PATH and OCCT_SHARE_PATH
    *. the old approach to specify the path of a test results folder was restored (within DRAW "cd" to corresponding folder which will contain further test results), i.e. the logic specifying a path of test result place is left to DRAW
    *. *.bat files were updated to use environment correctly
    *. env.* files in samples were replaced by unified env.samples.*.in for proper work with both Windows and Unix install themes.
(0051531)
git (administrator)
2016-03-10 17:59

Branch CR27176_1 has been updated forcibly by ski.

SHA-1: 1e3c7c52c2a039fa93bec91e9aecb99fa85f2944
(0051538)
abv (manager)
2016-03-10 22:50
edited on: 2016-03-11 07:18

Some remarks:
- Please rename INSTALL_DIR_OCCT_RESOURCE to INSTALL_DIR_RESOURCE; as well, remove 'Occt' from variables BUILD_DOC_OcctOverview and BUILD_MODULE_OcctMfcSamples
- Default values for INSTALL_DIR_* variables should not start with slash (instead it should be added when concatenated with INSTALL_DIR). For elements installed to INSTALL_DIR without sub-folders, use "." instead of empty value.
- Instead of INSTALL_DIR_SHARE, I suggest we use separate options INSTALL_DIR_DOC, INSTALL_DIR_DATA, INSTALL_DIR_TESTS
- In Linux-style docs by default must be installed in share/doc/opencascade, not in root
- Variables INSTALL_DIR_BIN and _LIB (and all others) should be defined for any selected layout (currently they are missing if layout is Windows)
- Please add files LICENSE_LGPL_21.txt and OCCT_LGPL_EXCEPTION.txt to install procedure; they should be installed unconditionally: in INSTALL_DIR in Windows layout, and in INSTALL_DIR/share/doc/opencascade in Unix layout

(0051563)
git (administrator)
2016-03-11 17:46

Branch CR27176_1 has been updated forcibly by ski.

SHA-1: 1ca8932ae12c2af56781af0f3e0a7bad7713683a
(0051572)
abv (manager)
2016-03-12 22:12

draw.sh on Linux should not change current directory. Now it sets it to BIN folder
(0051599)
git (administrator)
2016-03-14 15:34

Branch CR27176_2 has been created by ski.

SHA-1: fda78af1cc23d20f79ccf9aa09f7e454f08d93ca


Detailed log of new commits:

Author: ski
Date: Mon Mar 14 15:03:12 2016 +0300

    0027176: Configuration, CMake - INSTALL_DIR is a common prefix for all other install variables
    
    Description of INSTALL_DIR variable in documentation was updated.
    Relative paths are used now in all the install components (executables, libraries, share data, samples and e.t.c.)
    Variables INSTALL_*_DIR were renamed to INSTALL_DIR_* to correctly group them in CMake gui during configuration.
    Changed default values of INSTALL_*_DIR variables.
    New variables INSTALL_DIR_DOC,INSTALL_DIR_TESTS,INSTALL_DIR_SAMPLES,INSTALL_DIR_DATA are used instead of INSTALL_DIR_SHARE.
    Added files LICENSE_LGPL_21.txt and OCCT_LGPL_EXCEPTION.txt to install procedure.
    
    INSTALL_THEME variable introduced
    *. environment scripts use 0CCT_BIN_PATH, OCCT_LIB_PATH, OCCT_RESOURCE_PATH now
    *. OCCT_SHARE_PATH & OCCT_RESOURCE_PATH are used by the OCCT sources and test cases instead CASROOT (CASROOT left to support compatibility but their priority is lower than OCCT_SHARE_PATH & OCCT_RESOURCE_PATH)
    *. DRAWEXE project uses OCCT_RESOURCE_PATH and OCCT_SHARE_PATH instead CASROOT during debugging
    *. OCCT_TEST_RESULT_PATH variable introduced to specify a location of "results" folder of the automated test system
    *. OCCT samples use OCCT_INCLUDE_PATH variable now
    *. env.build.sh/bat.in files unified; CASROOT specification moved to "custom" file
    *. the location of test results folder unbound from OCCT_TEST_RESULT_PATH and OCCT_SHARE_PATH
    *. the old approach to specify the path of a test results folder was restored (within DRAW "cd" to corresponding folder which will contain further test results), i.e. the logic specifying a path of test result place is left to DRAW
    *. *.bat files were updated to use environment correctly
    *. env.* files in samples were replaced by unified env.samples.*.in for proper work with both Windows and Unix install themes.
(0051600)
git (administrator)
2016-03-14 16:40

Branch CR27176_2 has been updated forcibly by ski.

SHA-1: 4b0de1fdd4fa0d494cc1d69128c72ecbe6a077a6
(0051601)
git (administrator)
2016-03-14 17:50

Branch CR27176_2 has been updated forcibly by ski.

SHA-1: faba7542080e70cb3b4666d7ca2232251563af8e
(0051604)
git (administrator)
2016-03-14 18:36

Branch CR27176_2 has been updated forcibly by ski.

SHA-1: 3c0295e7612321cc53c8127bbc046fd00f33418a
(0051630)
git (administrator)
2016-03-15 13:35

Branch CR27176_2 has been updated by ski.

SHA-1: 63dbfa554afa45f2c89c198444c618a702696f31


Detailed log of new commits:

Author: ski
Date: Tue Mar 15 13:34:52 2016 +0300

    Describtion of INSTALL_DIR_* variables were added.
    Test cases were modified to use CSF_OCCT*Path variables if variables exist.

(0051632)
git (administrator)
2016-03-15 13:44

Branch CR27176_2 has been updated forcibly by ski.

SHA-1: acdbd1630e5840e95cf9d5792dd3e9f1171ee1a1
(0051635)
git (administrator)
2016-03-15 14:16

Branch CR27176_2 has been updated forcibly by ski.

SHA-1: 26e2420354e0b14921a2ce6e7e6d267042d3ed7d
(0051654)
git (administrator)
2016-03-15 16:24

Branch CR27176_2 has been updated forcibly by ski.

SHA-1: 9e2bf8634788a9b1a3ab6d861d185be7a3f38936
(0051676)
git (administrator)
2016-03-15 19:27

Branch CR27176_3 has been created by abv.

SHA-1: 0f2272b22ef39fd3ad34b9e09edd5bc729aa1bfd


Detailed log of new commits:

Author: abv
Date: Tue Mar 15 19:27:22 2016 +0300

    0027176: Configuration, CMake - INSTALL_DIR is a common prefix for all other install variables
    
    Changes in templates/DRAWEXE.vcxproj.user.in are reverted as they do not look useful.
    Tests are reverted to use single variable (CSF_OCCTSamplesPath)
    Option EnableDelayedExpansion is removed from batch files (useless).
    New vars are added to environment scripts used by genproj.
    Settings of Products-specific vars are removed from environment scripts.

Author: ski
Date: Mon Mar 14 18:35:06 2016 +0300

    0027176: Configuration, CMake - INSTALL_DIR is a common prefix for all other install variables
    
    Description of INSTALL_DIR variable in documentation was updated.
    Relative paths are used now in all the install components (executables, libraries, share data, samples and e.t.c.)
    Variables INSTALL_*_DIR were renamed to INSTALL_DIR_* to correctly group them in CMake gui during configuration.
    Changed default values of INSTALL_*_DIR variables.
    New variables INSTALL_DIR_DOC,INSTALL_DIR_TESTS,INSTALL_DIR_SAMPLES,INSTALL_DIR_DATA are used instead of INSTALL_DIR_SHARE.
    Added files LICENSE_LGPL_21.txt and OCCT_LGPL_EXCEPTION.txt to install procedure.
    
    INSTALL_THEME variable introduced
    *. environment scripts use 0CCT_BIN_PATH, OCCT_LIB_PATH, OCCT_RESOURCE_PATH now
    *. OCCT_SHARE_PATH & OCCT_RESOURCE_PATH are used by the OCCT sources and test cases instead CASROOT (CASROOT left to support compatibility but their priority is lower than OCCT_SHARE_PATH & OCCT_RESOURCE_PATH)
    *. DRAWEXE project uses OCCT_RESOURCE_PATH and OCCT_SHARE_PATH instead CASROOT during debugging
    *. OCCT_TEST_RESULT_PATH variable introduced to specify a location of "results" folder of the automated test system
    *. OCCT samples use OCCT_INCLUDE_PATH variable now
    *. env.build.sh/bat.in files unified; CASROOT specification moved to "custom" file
    *. the location of test results folder unbound from OCCT_TEST_RESULT_PATH and OCCT_SHARE_PATH
    *. the old approach to specify the path of a test results folder was restored (within DRAW "cd" to corresponding folder which will contain further test results), i.e. the logic specifying a path of test result place is left to DRAW
    *. *.bat files were updated to use environment correctly
    *. env.* files in samples were replaced by unified env.samples.*.in for proper work with both Windows and Unix install themes.
    
    Description of INSTALL_DIR_* variables were added.
    Test cases were modified to use CSF_OCCT*Path variables if variables exist.
(0051691)
git (administrator)
2016-03-16 13:24

Branch CR27176_3 has been updated by ski.

SHA-1: 02915ca004f44d50c68f32d86db37620178de523


Detailed log of new commits:

Author: ski
Date: Wed Mar 16 13:24:06 2016 +0300

    Added installation of samples in CMake procedures.
    Added generating of env.bat/sh files to the samples directories.

(0051713)
git (administrator)
2016-03-16 17:05

Branch CR27176_3 has been updated by abv.

SHA-1: 9381211038458181211a1e8ea4f71ae8f7693a70


Detailed log of new commits:

Author: abv
Date: Wed Mar 16 17:05:37 2016 +0300

    0027176: Configuration, CMake - INSTALL_DIR is a common prefix for all other install variables
    
    Fixed run-time environment for launching DRAW from VS in CMake build.
    Use of EnableDelayedExpansion option is avioded.
    Fixed linker errors of building of TKIVtk with VTK 6.1 64-bit on vc10.
    DrawDefault is slightly simplified.

(0051720)
git (administrator)
2016-03-17 10:57

Branch CR27176_4 has been created by abv.

SHA-1: 15ebb2e30352e97094f11ac50f07bca6ebf74a22


No new revisions were added by this update.
(0051736)
git (administrator)
2016-03-17 14:27

Branch CR27176_4 has been updated by ski.

SHA-1: eb070b915814e9a522bec08214f8aa6607cdc022


Detailed log of new commits:

Author: ski
Date: Thu Mar 17 14:27:23 2016 +0300

    Corrected paths to occt env.bat/sh scripts in generated samples env scripts for CMake.

(0051739)
git (administrator)
2016-03-17 14:48

Branch CR27176_4 has been updated by ski.

SHA-1: 00eb21632b91102754c336637c240b259e72be8b


Detailed log of new commits:

Author: ski
Date: Thu Mar 17 14:47:56 2016 +0300

    Added case insensitive switch for string compares of VCVER variable in batch files.

(0051756)
git (administrator)
2016-03-17 17:15

Branch CR27176_4 has been updated by ski.

SHA-1: d382b50a19379cdfcadf0a5407020d9cb8ca78f3


Detailed log of new commits:

Author: ski
Date: Thu Mar 17 16:58:49 2016 +0300

    Added variables CSF_OCCTIncludePath and CSF_OCCTLibPath to env.* files for genproj procedure.

Author: ski
Date: Thu Mar 17 16:42:26 2016 +0300

    File genconf.bat was corrected to avoid error message for the case when path to TCL contain spaces.

(0051761)
git (administrator)
2016-03-17 17:50

Branch CR27176_4 has been updated by ski.

SHA-1: e62fb0197e05ef4d239552b084126cad2a6cb3a0


Detailed log of new commits:

Author: ski
Date: Thu Mar 17 17:46:16 2016 +0300

    Reset INSTALL_DIR_* paths to defaults only if INSTALL_DIR_LAYOUT was changed.

(0051764)
git (administrator)
2016-03-17 18:44

Branch CR27176_4 has been updated by ski.

SHA-1: 08ddc456246b4f4e39b16a0b52ac1d2c88ad9909


Detailed log of new commits:

Author: ski
Date: Thu Mar 17 18:43:52 2016 +0300

    Reset INSTALL_DIR_* paths to defaults if INSTALL_DIR_WITH_VERSION was changed.

(0051765)
git (administrator)
2016-03-18 07:07

Branch CR27176_4 has been updated by abv.

SHA-1: 1e2563445673dc0fa0588c5e1b4faf7bba9e28a6


Detailed log of new commits:

Author: abv
Date: Fri Mar 18 07:06:52 2016 +0300

    Product name in rc files changed to "Open CASCADE Technology"; env.bat.in changed back to embed current compiler and bitness as default

(0052845)
git (administrator)
2016-04-17 13:18

Branch CR27176 has been deleted by kgv.

SHA-1: a2ebe71dcba541a5fb9b82358bc18ca8568e389f
(0052846)
git (administrator)
2016-04-17 13:18

Branch CR27176_1 has been deleted by kgv.

SHA-1: 1ca8932ae12c2af56781af0f3e0a7bad7713683a
(0052847)
git (administrator)
2016-04-17 13:18

Branch CR27176_2 has been deleted by kgv.

SHA-1: 9e2bf8634788a9b1a3ab6d861d185be7a3f38936
(0052848)
git (administrator)
2016-04-17 13:18

Branch CR27176_3 has been deleted by kgv.

SHA-1: 9381211038458181211a1e8ea4f71ae8f7693a70
(0052849)
git (administrator)
2016-04-17 13:18

Branch CR27176_4 has been deleted by kgv.

SHA-1: 1e2563445673dc0fa0588c5e1b4faf7bba9e28a6

- Related Changesets
occt: master 4b3541c6
Timestamp: 2016-03-18 05:25:53
Author: abv
Committer: abv
Details ] Diff ]
0027176: Configuration, CMake - INSTALL_DIR is a common prefix for all other install variables

Possibility to customize layout of installation of OCCT is introduced by:
- variable INSTALL_DIR_LAYOUT - select one of the two predefined layouts: either Windows (classic OCCT layout) or Unix (Linux standard)
- variables INSTALL_DIR_* (BIN, LIB, INCLUDE, RESOURCE, DOC, TESTS, SCRIPT, SAMPLES, DATA) - specify locations of relevant components
- variable INSTALL_DIR_WITH_VERSION (bool) - specifies whether full version of OCCT should be used in paths in Unix layout

Files LICENSE_LGPL_21.txt and OCCT_LGPL_EXCEPTION.txt are always installed.

Environment is extended to support non-default layouts.
For that, environment variables "CSF_OCCT*Path" are defined, corresponding to CMake variables INSTALL_DIR_* described above.
Visual Studio environment, DRAW, tests, samples are amended to use these variables instead of (or as alternative to) CASROOT.

Settings of Products-specific vars are removed from environment scripts.

File genconf.bat was corrected to avoid error message for the case when path to TCL contains spaces.

Product name in rc files changed to "Open CASCADE Technology".
mod - adm/cmake/3rdparty_macro.cmake Diff ] File ]
mod - adm/cmake/freetype.cmake Diff ] File ]
mod - adm/cmake/occt_macros.cmake Diff ] File ]
mod - adm/cmake/occt_toolkit.cmake Diff ] File ]
mod - adm/cmake/tbb.cmake Diff ] File ]
mod - adm/cmake/tcl.cmake Diff ] File ]
mod - adm/cmake/tk.cmake Diff ] File ]
mod - adm/cmake/vardescr.cmake Diff ] File ]
mod - adm/templates/custom.bat.main Diff ] File ]
mod - adm/templates/custom.build.bat.in Diff ] File ]
mod - adm/templates/custom.build.sh.in Diff ] File ]
mod - adm/templates/custom.install.bat.in Diff ] File ]
mod - adm/templates/custom.install.sh.in Diff ] File ]
mod - adm/templates/draw.sh Diff ] File ]
mod - adm/templates/DRAWEXE.vcxproj.user.in Diff ] File ]
mod - adm/templates/env.bat Diff ] File ]
rm - adm/templates/env.build.bat.in Diff ] File ]
rm - adm/templates/env.build.sh.in Diff ] File ]
add - adm/templates/env.samples.bat.in Diff ] File ]
add - adm/templates/env.samples.sh.in Diff ] File ]
mod - adm/templates/env.sh Diff ] File ]
mod - adm/templates/msvc.bat Diff ] File ]
mod - adm/templates/occt_toolkit.rc.in Diff ] File ]
mod - adm/templates/sample.bat Diff ] File ]
mod - adm/templates/template_dll.rc Diff ] File ]
mod - CMakeLists.txt Diff ] File ]
mod - dox/dev_guides/building/cmake/cmake.md Diff ] File ]
mod - genconf.bat Diff ] File ]
mod - samples/CSharp/msvc.bat Diff ] File ]
mod - samples/CSharp/msvc_D3D.bat Diff ] File ]
mod - samples/CSharp/OCCTProxy/OCCTProxy.vcproj Diff ] File ]
mod - samples/CSharp/OCCTProxy/OCCTProxy.vcxproj Diff ] File ]
mod - samples/CSharp/OCCTProxy_D3D/OCCTProxy_D3D.vcproj Diff ] File ]
mod - samples/CSharp/OCCTProxy_D3D/OCCTProxy_D3D.vcxproj Diff ] File ]
mod - samples/CSharp/run.bat Diff ] File ]
mod - samples/CSharp/WinForms/Form2.cs Diff ] File ]
mod - samples/CSharp/WPF_D3D/OCCViewer.cs Diff ] File ]
mod - samples/CSharp/WPF_WinForms/OCCViewer.cs Diff ] File ]
mod - samples/mfc/standard/01_Geometry/adm/win/vc10/Geometry.vcxproj Diff ] File ]
mod - samples/mfc/standard/01_Geometry/adm/win/vc11/Geometry.vcxproj Diff ] File ]
mod - samples/mfc/standard/01_Geometry/adm/win/vc12/Geometry.vcxproj Diff ] File ]
mod - samples/mfc/standard/01_Geometry/adm/win/vc8/Geometry.vcproj Diff ] File ]
mod - samples/mfc/standard/01_Geometry/adm/win/vc9/Geometry.vcproj Diff ] File ]
mod - samples/mfc/standard/01_Geometry/CMakeLists.txt Diff ] File ]
mod - samples/mfc/standard/02_Modeling/adm/win/vc10/Modeling.vcxproj Diff ] File ]
mod - samples/mfc/standard/02_Modeling/adm/win/vc11/Modeling.vcxproj Diff ] File ]
mod - samples/mfc/standard/02_Modeling/adm/win/vc12/Modeling.vcxproj Diff ] File ]
mod - samples/mfc/standard/02_Modeling/adm/win/vc8/Modeling.vcproj Diff ] File ]
mod - samples/mfc/standard/02_Modeling/adm/win/vc9/Modeling.vcproj Diff ] File ]
mod - samples/mfc/standard/02_Modeling/CMakeLists.txt Diff ] File ]
mod - samples/mfc/standard/03_Viewer2d/adm/win/vc10/Viewer2d.vcxproj Diff ] File ]
mod - samples/mfc/standard/03_Viewer2d/adm/win/vc11/Viewer2d.vcxproj Diff ] File ]
mod - samples/mfc/standard/03_Viewer2d/adm/win/vc12/Viewer2d.vcxproj Diff ] File ]
mod - samples/mfc/standard/03_Viewer2d/adm/win/vc8/Viewer2d.vcproj Diff ] File ]
mod - samples/mfc/standard/03_Viewer2d/adm/win/vc9/Viewer2d.vcproj Diff ] File ]
mod - samples/mfc/standard/03_Viewer2d/CMakeLists.txt Diff ] File ]
mod - samples/mfc/standard/04_Viewer3d/adm/win/vc10/Viewer3d.vcxproj Diff ] File ]
mod - samples/mfc/standard/04_Viewer3d/adm/win/vc11/Viewer3d.vcxproj Diff ] File ]
mod - samples/mfc/standard/04_Viewer3d/adm/win/vc12/Viewer3d.vcxproj Diff ] File ]
mod - samples/mfc/standard/04_Viewer3d/adm/win/vc8/Viewer3d.vcproj Diff ] File ]
mod - samples/mfc/standard/04_Viewer3d/adm/win/vc9/Viewer3d.vcproj Diff ] File ]
mod - samples/mfc/standard/04_Viewer3d/CMakeLists.txt Diff ] File ]
mod - samples/mfc/standard/05_ImportExport/adm/win/vc10/ImportExport.vcxproj Diff ] File ]
mod - samples/mfc/standard/05_ImportExport/adm/win/vc11/ImportExport.vcxproj Diff ] File ]
mod - samples/mfc/standard/05_ImportExport/adm/win/vc12/ImportExport.vcxproj Diff ] File ]
mod - samples/mfc/standard/05_ImportExport/adm/win/vc8/ImportExport.vcproj Diff ] File ]
mod - samples/mfc/standard/05_ImportExport/adm/win/vc9/ImportExport.vcproj Diff ] File ]
mod - samples/mfc/standard/05_ImportExport/CMakeLists.txt Diff ] File ]
mod - samples/mfc/standard/06_Ocaf/adm/win/vc10/Ocaf.vcxproj Diff ] File ]
mod - samples/mfc/standard/06_Ocaf/adm/win/vc11/Ocaf.vcxproj Diff ] File ]
mod - samples/mfc/standard/06_Ocaf/adm/win/vc12/Ocaf.vcxproj Diff ] File ]
mod - samples/mfc/standard/06_Ocaf/adm/win/vc8/Ocaf.vcproj Diff ] File ]
mod - samples/mfc/standard/06_Ocaf/adm/win/vc9/Ocaf.vcproj Diff ] File ]
mod - samples/mfc/standard/06_Ocaf/CMakeLists.txt Diff ] File ]
mod - samples/mfc/standard/07_Triangulation/adm/win/vc10/Triangulation.vcxproj Diff ] File ]
mod - samples/mfc/standard/07_Triangulation/adm/win/vc11/Triangulation.vcxproj Diff ] File ]
mod - samples/mfc/standard/07_Triangulation/adm/win/vc12/Triangulation.vcxproj Diff ] File ]
mod - samples/mfc/standard/07_Triangulation/adm/win/vc8/Triangulation.vcproj Diff ] File ]
mod - samples/mfc/standard/07_Triangulation/adm/win/vc9/Triangulation.vcproj Diff ] File ]
mod - samples/mfc/standard/07_Triangulation/CMakeLists.txt Diff ] File ]
mod - samples/mfc/standard/08_HLR/adm/win/vc10/HLR.vcxproj Diff ] File ]
mod - samples/mfc/standard/08_HLR/adm/win/vc11/HLR.vcxproj Diff ] File ]
mod - samples/mfc/standard/08_HLR/adm/win/vc12/HLR.vcxproj Diff ] File ]
mod - samples/mfc/standard/08_HLR/adm/win/vc8/HLR.vcproj Diff ] File ]
mod - samples/mfc/standard/08_HLR/adm/win/vc9/HLR.vcproj Diff ] File ]
mod - samples/mfc/standard/08_HLR/CMakeLists.txt Diff ] File ]
mod - samples/mfc/standard/09_Animation/adm/win/vc10/Animation.vcxproj Diff ] File ]
mod - samples/mfc/standard/09_Animation/adm/win/vc11/Animation.vcxproj Diff ] File ]
mod - samples/mfc/standard/09_Animation/adm/win/vc12/Animation.vcxproj Diff ] File ]
mod - samples/mfc/standard/09_Animation/adm/win/vc8/Animation.vcproj Diff ] File ]
mod - samples/mfc/standard/09_Animation/adm/win/vc9/Animation.vcproj Diff ] File ]
mod - samples/mfc/standard/09_Animation/CMakeLists.txt Diff ] File ]
mod - samples/mfc/standard/09_Animation/src/AnimationDoc.cpp Diff ] File ]
mod - samples/mfc/standard/10_Convert/adm/win/vc10/Convert.vcxproj Diff ] File ]
mod - samples/mfc/standard/10_Convert/adm/win/vc11/Convert.vcxproj Diff ] File ]
mod - samples/mfc/standard/10_Convert/adm/win/vc12/Convert.vcxproj Diff ] File ]
mod - samples/mfc/standard/10_Convert/adm/win/vc8/Convert.vcproj Diff ] File ]
mod - samples/mfc/standard/10_Convert/adm/win/vc9/Convert.vcproj Diff ] File ]
mod - samples/mfc/standard/10_Convert/CMakeLists.txt Diff ] File ]
mod - samples/mfc/standard/Common/ImportExport/ImportExport.cpp Diff ] File ]
mod - samples/mfc/standard/Common/ImportExport/SaveSTEPDlg.cpp Diff ] File ]
mod - samples/mfc/standard/mfcsample/adm/win/vc10/mfcsample.vcxproj Diff ] File ]
mod - samples/mfc/standard/mfcsample/adm/win/vc11/mfcsample.vcxproj Diff ] File ]
mod - samples/mfc/standard/mfcsample/adm/win/vc12/mfcsample.vcxproj Diff ] File ]
mod - samples/mfc/standard/mfcsample/adm/win/vc8/mfcsample.vcproj Diff ] File ]
mod - samples/mfc/standard/mfcsample/adm/win/vc9/mfcsample.vcproj Diff ] File ]
mod - samples/mfc/standard/mfcsample/CMakeLists.txt Diff ] File ]
mod - samples/mfc/standard/msvc.bat Diff ] File ]
mod - samples/mfc/standard/run.bat Diff ] File ]
mod - samples/qt/Common/src/MDIWindow.cxx Diff ] File ]
mod - samples/qt/FuncDemo/FuncDemo.pro Diff ] File ]
mod - samples/qt/FuncDemo/genproj.bat Diff ] File ]
mod - samples/qt/FuncDemo/msvc.bat Diff ] File ]
mod - samples/qt/FuncDemo/run.bat Diff ] File ]
mod - samples/qt/IESample/genproj.bat Diff ] File ]
mod - samples/qt/IESample/IESample.pro Diff ] File ]
mod - samples/qt/IESample/msvc.bat Diff ] File ]
mod - samples/qt/IESample/run.bat Diff ] File ]
mod - samples/qt/Interface/src/Translate.cxx Diff ] File ]
mod - samples/qt/Tutorial/genproj.bat Diff ] File ]
mod - samples/qt/Tutorial/msvc.bat Diff ] File ]
mod - samples/qt/Tutorial/run.bat Diff ] File ]
mod - samples/qt/Tutorial/Tutorial.pro Diff ] File ]
mod - samples/tcl/DataExchangeDemo.tcl Diff ] File ]
mod - src/DrawResources/DrawDefault Diff ] File ]
mod - src/DrawResources/DrawTK.tcl Diff ] File ]
mod - src/DrawResources/TestCommands.tcl Diff ] File ]
mod - src/DrawResources/TKTopTest.tcl Diff ] File ]
mod - src/OS/Visualization.tcl Diff ] File ]
mod - src/TKIVtkDraw/EXTERNLIB Diff ] File ]
mod - tests/bugs/begin Diff ] File ]
mod - tests/bugs/vis/bug26719_1 Diff ] File ]
mod - tests/demo/samples/anc101 Diff ] File ]
mod - tests/demo/samples/bottle Diff ] File ]
mod - tests/demo/samples/cad Diff ] File ]
mod - tests/demo/samples/cpu Diff ] File ]
mod - tests/demo/samples/cutter Diff ] File ]
mod - tests/demo/samples/dimensions Diff ] File ]
mod - tests/demo/samples/dimensionsglsl Diff ] File ]
mod - tests/demo/samples/drill Diff ] File ]
mod - tests/demo/samples/gehause Diff ] File ]
mod - tests/demo/samples/materials Diff ] File ]
mod - tests/demo/samples/pencil Diff ] File ]
mod - tests/demo/samples/penrose Diff ] File ]
mod - tests/demo/samples/raytrace Diff ] File ]
mod - tests/demo/samples/snowflake Diff ] File ]
mod - tests/demo/samples/xde Diff ] File ]
mod - tests/v3d/materials/bug24855 Diff ] File ]
mod - tests/v3d/materials/bug24872_1 Diff ] File ]
mod - tests/v3d/materials/bug24872_2 Diff ] File ]
mod - tests/xml/ocaf_xml/begin Diff ] File ]
mod - tests/xml/xcaf_xml/begin Diff ] File ]

- Issue History
Date Modified Username Field Change
2016-02-18 10:50 ibs New Issue
2016-02-18 10:50 ibs Assigned To => bugmaster
2016-02-18 10:51 ibs Relationship added related to 0026944
2016-02-18 12:51 ibs Product Version 7.1.0 =>
2016-02-18 12:51 ibs Target Version 7.1.0 => 7.0.0
2016-02-18 13:05 ibs Assigned To bugmaster => ibs
2016-02-20 18:25 ibs Description Updated View Revisions
2016-02-24 10:27 ibs Target Version 7.0.0 => 7.1.0
2016-03-02 13:02 abv Assigned To ibs => ski
2016-03-02 13:02 abv Status new => assigned
2016-03-02 13:14 ibs Target Version 7.1.0 => 7.0.0
2016-03-02 17:10 git Note Added: 0051326
2016-03-02 17:27 ski Relationship added child of 0027165
2016-03-03 12:25 git Note Added: 0051347
2016-03-03 12:31 git Note Added: 0051348
2016-03-03 13:06 git Note Added: 0051351
2016-03-03 13:16 git Note Added: 0051354
2016-03-03 13:49 git Note Added: 0051368
2016-03-03 14:45 git Note Added: 0051371
2016-03-03 15:51 ski Note Added: 0051374
2016-03-03 15:51 ski Assigned To ski => ibs
2016-03-03 15:51 ski Status assigned => resolved
2016-03-03 15:51 ski Steps to Reproduce Updated View Revisions
2016-03-03 15:53 ibs Note Added: 0051375
2016-03-03 15:53 ibs Assigned To ibs => bugmaster
2016-03-03 15:53 ibs Status resolved => reviewed
2016-03-09 09:53 abv Note Added: 0051447
2016-03-09 09:53 abv Assigned To bugmaster => ski
2016-03-09 09:53 abv Status reviewed => assigned
2016-03-10 14:56 git Note Added: 0051513
2016-03-10 17:59 git Note Added: 0051531
2016-03-10 22:50 abv Note Added: 0051538
2016-03-11 07:06 abv Note Edited: 0051538 View Revisions
2016-03-11 07:18 abv Note Edited: 0051538 View Revisions
2016-03-11 17:46 git Note Added: 0051563
2016-03-12 22:12 abv Note Added: 0051572
2016-03-14 15:34 git Note Added: 0051599
2016-03-14 16:40 git Note Added: 0051600
2016-03-14 17:50 git Note Added: 0051601
2016-03-14 18:36 git Note Added: 0051604
2016-03-15 13:35 git Note Added: 0051630
2016-03-15 13:44 git Note Added: 0051632
2016-03-15 14:16 git Note Added: 0051635
2016-03-15 16:24 git Note Added: 0051654
2016-03-15 19:27 git Note Added: 0051676
2016-03-16 13:24 git Note Added: 0051691
2016-03-16 17:05 git Note Added: 0051713
2016-03-17 10:57 git Note Added: 0051720
2016-03-17 14:27 git Note Added: 0051736
2016-03-17 14:48 git Note Added: 0051739
2016-03-17 17:15 git Note Added: 0051756
2016-03-17 17:50 git Note Added: 0051761
2016-03-17 18:44 git Note Added: 0051764
2016-03-18 07:07 git Note Added: 0051765
2016-03-21 14:58 abv Changeset attached => occt master 4b3541c6
2016-03-21 14:58 abv Assigned To ski => abv
2016-03-21 14:58 abv Status assigned => verified
2016-03-21 14:58 abv Resolution open => fixed
2016-04-05 12:58 ibs Relationship added related to 0027355
2016-04-17 13:18 git Note Added: 0052845
2016-04-17 13:18 git Note Added: 0052846
2016-04-17 13:18 git Note Added: 0052847
2016-04-17 13:18 git Note Added: 0052848
2016-04-17 13:18 git Note Added: 0052849
2016-04-20 15:43 aiv Fixed in Version => 7.0.0
2016-04-20 15:50 aiv Status verified => closed


Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker